Support

Frequently Asked Questions

Is Ferazel's Wand OS X native, will it ever be?

Last Updated Sep 19, 2005

Ferazel's Wand is not OS X native. Ferazel's Wand requires a Macintosh running OS 8.6 to OS 9.6. We have no plans to port Ferazel's Wand to OS X at this time.

Related question(s):

Was This Answer Helpful?

Not The Right Answer?

Copyright © 2013 Ambrosia Software, Inc. | All rights reserved worldwide. | Privacy Policy | Site Map | My Ambrosia Account